@echo off
setlocal enabledelayedexpansion
set atomic=22b6938fe767e5cc57d1fe13080cd522
set worldt=2df4ca554883880a8f0a304d0bec409d
set idx=0

echo.
echo.
echo.
echo              =====================================================
echo            ^|^|                                                     ^|^|
echo           ^|^|^|  E D U K E 3 2   A D D O N   C O M P I L A T I O N  ^|^|^|
echo            ^|^|                                                     ^|^|
echo              =====================================================
echo             ^|                    by NightFright                   ^|
echo              -----------------------------------------------------
echo             ^|                     Version 4.0                     ^|
echo             ^|                 *** PRE-RELEASE ***                 ^|
echo              -----------------------------------------------------
echo.
echo.

if not exist "%cd%\eduke32.exe" (
	set reason=0
	goto Abort
)

for /f %%F in ('certutil -hashfile duke3d.grp MD5') do (
    set "out!idx!=%%F"
    set /a idx += 1
)
set checksum=%out1%

if /i %checksum%==%atomic% (
    	echo ATOMIC EDITION detected. Launching...
	if not exist "%cd%\addons\addons.grpinfo" (
		ren "%cd%\addons\addons.bak" addons.grpinfo
		ren "%cd%\addons\addons_wt.grpinfo" addons_wt.bak
	)
	goto Launch
)
if /i %checksum%==%worldt% (
    	echo WORLD TOUR detected. Launching...
	if not exist "%cd%\addons\addons_wt.grpinfo" (
		ren "%cd%\addons\addons_wt.bak" addons_wt.grpinfo
		ren "%cd%\addons\addons.grpinfo" addons.bak
	)
	goto Launch
) else set reason=1

:Abort
if %reason%==0 (
	echo EDuke32 executable not found. Aborting...
) else (
	echo No supported version of DUKE3D.GRP detected. Aborting...
)
ping -n 4 localhost >nul
goto End

:Launch
ping -n 3 localhost >nul
eduke32.exe -jaddons

:End